Package ru.bgcrm.plugin.bgbilling.proto.model

# Class ContractInfo

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.SearchableIdTitle
ru.bgcrm.plugin.bgbilling.proto.model.Contract
ru.bgcrm.plugin.bgbilling.proto.model.ContractInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<Contract>`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class ContractInfo extends Contract

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ContractInfo.ActionName`
  `static class`
  `ContractInfo.ModuleInfo`
  `class`
  `ContractInfo.ParameterValue`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.model.Contract

  `OBJECT_TYPE`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getBalanceAccount()`
  `BigDecimal`
  `getBalanceCharge()`
  `Date`
  `getBalanceDate()`
  `BigDecimal`
  `getBalanceIn()`
  `BigDecimal`
  `getBalanceLimit()`
  `BigDecimal`
  `getBalanceOut()`
  `BigDecimal`
  `getBalancePayment()`
  `int`
  `getComments()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getFace()`
  `List<IdTitle>`
  `getGroupList()`
  `String`
  `getHierarchy()`
  `int`
  `getHierarchyDep()`
  `int`
  `getHierarchyIndep()`
  `int`
  `getMode()`
  `List<ContractInfo.ModuleInfo>`
  `getModuleList()`
  `Pair<Integer,Integer>`
  `getObjects()`
  `List<IdTitle>`
  `getScriptList()`
  `String`
  `getStatisticPassword()`
  Deprecated.
  `String`
  `getStatus()`
  `List<Integer>`
  `getSubContractIds()`
  `List<IdTitle>`
  `getTariffList()`
  `boolean`
  `isDeleted()`
  `void`
  `setBalanceAccount(BigDecimal balanceAccount)`
  `void`
  `setBalanceCharge(BigDecimal balanceCharge)`
  `void`
  `setBalanceDate(Date balanceDate)`
  `void`
  `setBalanceIn(BigDecimal balanceIn)`
  `void`
  `setBalanceLimit(BigDecimal balanceLimit)`
  `void`
  `setBalanceOut(BigDecimal balanceOut)`
  `void`
  `setBalancePayment(BigDecimal balancePayment)`
  `void`
  `setComments(int comments)`
  `void`
  `setDateFrom(Date fromDate)`
  `void`
  `setDateTo(Date toDate)`
  `void`
  `setDeleted(boolean deleted)`
  `void`
  `setFace(int face)`
  `void`
  `setGroupList(List<IdTitle> groupList)`
  `void`
  `setHierarchy(String hierarchy)`
  `void`
  `setHierarchyDep(int hierarchyDep)`
  `void`
  `setHierarchyIndep(int hierarchyIndep)`
  `void`
  `setMode(int mode)`
  `void`
  `setModuleList(List<ContractInfo.ModuleInfo> moduleList)`
  `void`
  `setObjects(Integer active, Integer full)`
  `void`
  `setScriptList(List<IdTitle> scriptList)`
  `void`
  `setStatisticPassword(String statisticPassword)`
  Deprecated.
  `void`
  `setStatus(String status)`
  `void`
  `setSubContractIds(List<Integer> subContractIds)`
  `void`
  `setTariffList(List<IdTitle> tariffList)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.model.Contract

  `compareTo, equals, getBillingId, getComment, hashCode, setBillingId, setComment`

  ### Methods inherited from class ru.bgcrm.model.SearchableIdTitle

  `getSearchMode, setSearchMode`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `getId, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### ContractInfo

    public ContractInfo()

- ## Method Details

  - ### getBalanceDate

    public Date getBalanceDate()

  - ### setBalanceDate

    public void setBalanceDate(Date balanceDate)

  - ### getBalanceIn

    public BigDecimal getBalanceIn()

  - ### setBalanceIn

    public void setBalanceIn(BigDecimal balanceIn)

  - ### getBalancePayment

    public BigDecimal getBalancePayment()

  - ### setBalancePayment

    public void setBalancePayment(BigDecimal balancePayment)

  - ### getBalanceAccount

    public BigDecimal getBalanceAccount()

  - ### setBalanceAccount

    public void setBalanceAccount(BigDecimal balanceAccount)

  - ### getBalanceCharge

    public BigDecimal getBalanceCharge()

  - ### setBalanceCharge

    public void setBalanceCharge(BigDecimal balanceCharge)

  - ### getBalanceOut

    public BigDecimal getBalanceOut()

  - ### setBalanceOut

    public void setBalanceOut(BigDecimal balanceOut)

  - ### getBalanceLimit

    public BigDecimal getBalanceLimit()

  - ### setBalanceLimit

    public void setBalanceLimit(BigDecimal balanceLimit)

  - ### getMode

    public int getMode()

  - ### setMode

    public void setMode(int mode)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getFace

    public int getFace()

  - ### setFace

    public void setFace(int face)

  - ### isDeleted

    public boolean isDeleted()

  - ### setDeleted

    public void setDeleted(boolean deleted)

  - ### getHierarchy

    public String getHierarchy()

  - ### setHierarchy

    public void setHierarchy(String hierarchy)

  - ### getHierarchyDep

    public int getHierarchyDep()

  - ### setHierarchyDep

    public void setHierarchyDep(int hierarchyDep)

  - ### getHierarchyIndep

    public int getHierarchyIndep()

  - ### setHierarchyIndep

    public void setHierarchyIndep(int hierarchyIndep)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date fromDate)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date toDate)

  - ### getTariffList

    public List<IdTitle> getTariffList()

  - ### setTariffList

    public void setTariffList(List<IdTitle> tariffList)

  - ### getGroupList

    public List<IdTitle> getGroupList()

  - ### setGroupList

    public void setGroupList(List<IdTitle> groupList)

  - ### getModuleList

    public List<ContractInfo.ModuleInfo> getModuleList()

  - ### setModuleList

    public void setModuleList(List<ContractInfo.ModuleInfo> moduleList)

  - ### getScriptList

    public List<IdTitle> getScriptList()

  - ### setScriptList

    public void setScriptList(List<IdTitle> scriptList)

  - ### getSubContractIds

    public List<Integer> getSubContractIds()

  - ### setSubContractIds

    public void setSubContractIds(List<Integer> subContractIds)

  - ### getComments

    public int getComments()

  - ### setComments

    public void setComments(int comments)

  - ### getObjects

    public Pair<Integer,Integer> getObjects()

  - ### setObjects

    public void setObjects(Integer active, Integer full)

  - ### getStatisticPassword

    @Deprecated public String getStatisticPassword()
    Deprecated.

  - ### setStatisticPassword

    @Deprecated public void setStatisticPassword(String statisticPassword)
    Deprecated.